<?

/*
         _____   ____ |__|  |__   ____ _____ ___  __ ____   ____ 
        /  ___\ / ___\|  |  |  \_/ __ \\__  \\  \/ // __ \ /    \
        \  \___/ /_/  >  |   Y  \  ___/ / __ \\   /\  ___/|   |  \
         \___  >___  /|__|___|  /\___  >____  /\_/  \___  >___|  /
             \/_____/         \/     \/     \/          \/     \/
*/

// the variables below should be changed to match your server and hosting options

// path to a logo file
// - if set, image displays on header
$site_logo = "";

// name of your site
// Example: Your-Site.com
// - will be displayed in header if $site_logo is not used
$site_name = "";

// your support email address
// Example: support@Your-Site.com
$support_email = "";

// your domain
// Example:  http://www.Your-Site.com
$server_url = "";

// valid file upload types
$allow_GIF = true;
$allow_JPG = true;
$allow_PNG = true;
$allow_BMP = true;
$allow_SWF = true;
$allow_PDF = true;
$allow_ZIP = true;

$max_file_size_kb = 125;

// thumbnail settings
$thumbnail_size_max = 175;
$thumbnail_quality = 75;

// bandwidth maximum
// - value, in KB, that, when reached or passed, will stop image from being displayed
// Example: 500000000
$bandwidth_max = 500000000;

$server_root = "";
$server_directory = "";
$server_save_directory = $server_directory . "/images/";

$db_server = "localhost";
$db_name = "database";
$db_user = "user";
$db_password = "password";

// blocked referers for image viewing
// - the referer is checked before displaying an image
//   if the referer contains any of these strings, the image will
//   not be displayed
//   Example: $blocked_referers = array("badsite.com", "anotherbadsite.com");
$blocked_referers = array();

// do not change the following variables
$server_dir = $server_root . $server_save_directory;
$page_url = $server_url . $server_directory;
$image_url = $server_url . $server_save_directory;

// do not change the following code
$valid_mime_types = array();
$valid_file_ext = array();
$valid_mime_types_display = "";
if ($allow_GIF) {
        array_push($valid_mime_types, "image/gif");
        array_push($valid_file_ext, "gif");
        $valid_mime_types_display .= $valid_mime_types_display == "" ? "GIF" : ", GIF";
}
if ($allow_JPG) {
        array_push($valid_mime_types, "image/jpeg");
        array_push($valid_mime_types, "image/pjpeg");
        array_push($valid_file_ext, "jpg");
        array_push($valid_file_ext, "jpeg");
        $valid_mime_types_display .= $valid_mime_types_display == "" ? "JPG" : ", JPG";
}
if ($allow_PNG) {
        array_push($valid_mime_types, "image/png");
        array_push($valid_mime_types, "image/x-png");
        array_push($valid_file_ext, "png");
        $valid_mime_types_display .= $valid_mime_types_display == "" ? "PNG" : ", PNG";
}
if ($allow_BMP) {
        array_push($valid_mime_types, "image/bmp");
        array_push($valid_mime_types, "image/x-windows-bmp");
        array_push($valid_file_ext, "bmp");
        $valid_mime_types_display .= $valid_mime_types_display == "" ? "BMP" : ", BMP";
}
if ($allow_SWF) {
        array_push($valid_mime_types, "application/x-shockwave-flash");
        array_push($valid_file_ext, "swf");
        $valid_mime_types_display .= $valid_mime_types_display == "" ? "SWF" : ", SWF";
}
if ($allow_PDF) {
        array_push($valid_mime_types, "application/pdf");
        array_push($valid_file_ext, "pdf");
        $valid_mime_types_display .= $valid_mime_types_display == "" ? "PDF" : ", PDF";
}
if ($allow_ZIP) {
        array_push($valid_mime_types, "application/x-compressed");
        array_push($valid_mime_types, "application/x-zip-compressed");
        array_push($valid_mime_types, "application/zip");
        array_push($valid_mime_types, "multipart/x-zip");
        array_push($valid_file_ext, "zip");
        $valid_mime_types_display .= $valid_mime_types_display == "" ? "ZIP" : ", ZIP";
}
?>